# https://github.com/celery/kombu/archive/v4.1.0.tar.gz
%global __requires_exclude pythonegg
%define module kombu

Name:           python-%{module}
Version:        4.1.0
Release:        %mkrel 2
Summary:        AMQP Messaging Framework for Python

Group:          Development/Python
License:        BSD and Python
URL:            http://pypi.python.org/pypi/%{module}
Source0:        %{module}-%{version}.tar.xz
BuildArch:      noarch

BuildRequires:  python-amqp
BuildRequires:  python-devel
BuildRequires:  python-setuptools
BuildRequires:  python3-amqp
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
Requires:       python-amqp

%description
AMQP is the Advanced Message Queuing Protocol, an open standard protocol
for message orientation, queuing, routing, reliability and security.

%package -n python3-%{module}
Summary:        AMQP Messaging Framework for Python3
Group:          Development/Python
Requires:       python3-amqp

%description -n python3-%{module}
AMQP is the Advanced Message Queuing Protocol, an open standard protocol
for message orientation, queuing, routing, reliability and security.

%prep
%setup -qn %{module}-%{version}
cp -a . %{py3dir}

%build
pushd %{py3dir}
%py3_build
popd
%py2_build

%install
pushd %{py3dir}
%py3_install
%py_byte_compile %{__python3} %{buildroot}%{python3_sitelib}
popd
%py2_install
%py_byte_compile %{__python2} %{buildroot}%{python2_sitelib}

%files
%doc AUTHORS Changelog FAQ LICENSE READ* THANKS TODO examples/
%{python_sitelib}/*

%files -n python3-%{module}
%doc AUTHORS Changelog FAQ LICENSE READ* THANKS TODO examples/
%{python3_sitelib}/*

%changelog
* Mon Aug 22 2022 tex - 4.1.0-2pclos2022
- rebuild against updates

* Sun Apr 15 2018 marcin82 <fixxer1982 at gmail.com> 4.1.0-1pclos2018
- update

* Mon Sep 07 2015 bb <bb> 3.0.21-1pclos2015
- import for blink
